Warning: This component will be deprecated in the future in favour of a spec compliant ai-sortable-list component

### Hierarchy

- SortableListComponent

## Index

### Inputs

- items

### Outputs

- itemsChange

### Constructors

- constructor

### Properties

- dragOver
- dragging
- items
- itemsChange

### Methods

- active
- dragStart
- end
- handleDrop
- handleMove
- insertBefore
- isActive
- leave
- trackByFn

## Constructors

### constructor

- new SortableListComponent(): SortableListComponent

- #### Returns SortableListComponent

## Properties

### dragOver

dragOver: any = null

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list.component.ts:69

### dragging

dragging: any = null

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list.component.ts:67

### items

@Input()
items: SortableListItems

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list.component.ts:63

### itemsChange

@Output()
itemsChange: EventEmitter<SortableListItems> = ...

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list.component.ts:65

## Methods

### active

- active(item: "bottom" | SortableListItem): void

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list.component.ts:79

  #### Parameters

  - ##### item: "bottom" | SortableListItem

  #### Returns void

### dragStart

- dragStart(item: SortableListItem): void

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list.component.ts:75

  #### Parameters

  - ##### item: SortableListItem

  #### Returns void

### end

- end(): void

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list.component.ts:91

  #### Returns void

### handleDrop

- handleDrop(): void

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list.component.ts:96

  #### Returns void

### handleMove

- handleMove(direction: "up" | "down", item: SortableListItem): void

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list.component.ts:108

  #### Parameters

  - ##### direction: "up" | "down"

  - ##### item: SortableListItem

  #### Returns void

### Protected insertBefore

- insertBefore(itemToMove: SortableListItem, baseItem: "bottom" | SortableListItem): SortableListItem[]

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list.component.ts:121

  #### Parameters

  - ##### itemToMove: SortableListItem

  - ##### baseItem: "bottom" | SortableListItem

  #### Returns SortableListItem[]

### isActive

- isActive(item: "bottom" | SortableListItem): boolean

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list.component.ts:87

  #### Parameters

  - ##### item: "bottom" | SortableListItem

  #### Returns boolean

### leave

- leave(): void

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list.component.ts:83

  #### Returns void

### trackByFn

- trackByFn(index: number, item: SortableListItem): SortableListItem

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list.component.ts:71

  #### Parameters

  - ##### index: number

  - ##### item: SortableListItem

  #### Returns SortableListItem

Generated using TypeDoc